{ stdenv, lib,
  meson, ninja, dbus, systemd, pkgconfig, cmake, inih,
  fetchFromGitHub }:

stdenv.mkDerivation rec {
  pname = "gamemode";
  version = "1.6.1";

  src = fetchFromGitHub {
    owner = "FeralInteractive";
    repo = pname;
    rev = version;
    sha256 = "17dck7dzkmzq52f2yrs930fdg2inr7nipvnwpd0jqrwgk2fhwk9z";
  };

  nativeBuildInputs = [
    meson ninja pkgconfig cmake
  ];

  buildInputs = [
    dbus systemd inih
  ];

  mesonFlags = [ "-Dwith-systemd-user-unit-dir=${placeholder "out"}/lib/systemd/user" ];
  
  meta = with lib; {
    description = "Optimise Linux system performance on demand";
    homepage = "https://github.com/FeralInteractive/gamemode";
    license = licenses.bsd3;
    maintainers = [ ];
    platforms = platforms.linux;
  };
}
